Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

ruby_rbenv_download (1) Versions 0.1.0

Provides ruby_rbenv_download to download ruby from binaries

Berkshelf/Librarian
Policyfile
Knife
cookbook 'ruby_rbenv_download', '~> 0.1.0'
cookbook 'ruby_rbenv_download', '~> 0.1.0', :supermarket
knife cookbook site install ruby_rbenv_download
knife cookbook site download ruby_rbenv_download
README
Dependencies
Changelog
Quality

ruby_rbenv_download cookbook

Description

A cookbook providing the ruby_rbenv_download LWRP which provides the ruby_rbenv cookbook the ability to install pre-compiled ruby binaries from the RVM repositories.

Requirements

Chef

This cookbook requires Chef 12.5+.

Cookbooks

  • ruby_rbenv

Resources and Providers

ruby_rbenv_download

This resource downloads a pre-compiled ruby binary and optionally sets it as the global ruby.

Actions

<table> <thead> <tr> <th>Action</th> <th>Description</th> <th>Default</th> </tr> </thead> <tbody> <tr> <td>install</td> <td> Downloads a pre-compiled ruby binary from rvm and installs it. </td> <td>Yes</td> </tr> </tbody> </table>

Attributes

<table> <thead> <tr> <th>Attribute</th> <th>Description</th> <th>Default Value</th> </tr> </thead> <tbody> <tr> <td>rbenv_version</td> <td> <b>Name attribute:</b> the version of ruby to download </td> <td><code>nil</code></td> </tr> <tr> <td>root_path</td> <td> The path prefix to rbenv installation, for example: <code>/opt/rbenv</code>. </td> <td><code>nil</code></td> </tr> <tr> <td>user</td> <td> A users's isolated rbenv installation on which to apply an action. The default value of <code>nil</code> denotes a system-wide rbenv installation is being targeted. <b>Note:</b> if specified, the user must already exist. </td> <td><code>nil</code></td> </tr> <tr> <td>environment</td> <td> A has of environment variables to set before running this command. </td> <td><code>nil</code></td> </tr> <tr> <td>global</td> <td> A boolean determining whether a rbenv_global resource should be created. </td> <td><code>false</code></td> </tr> </tbody> </table>

Examples

Install Ruby 2.1.5

ruby_rbenv_download "2.1.5" do action :install end

Dependent cookbooks

ruby_rbenv ~> 1.0.0

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

ruby_rbenv_download CHANGELOG

v0.1.0

  • Initial release

Collaborator Number Metric
            

0.1.0 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

0.1.0 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a CONTRIBUTING.md file

Foodcritic Metric
            

0.1.0 failed this metric

FC067: Ensure at least one platform supported in metadata: ruby_rbenv_download/metadata.rb:1
FC069: Ensure standardized license defined in metadata: ruby_rbenv_download/metadata.rb:1
Run with Foodcritic Version 11.1.0 with tags metadata,correctness ~FC031 ~FC045 and failure tags any

License Metric
            

0.1.0 failed this metric

ruby_rbenv_download does not have a valid open source license.
Acceptable licenses include Apache-2.0, apachev2, Apache 2.0, MIT, mit, GPL-2.0, gplv2, GNU Public License 2.0, GPL-3.0, gplv3, GNU Public License 3.0.

No Binaries Metric
            

0.1.0 passed this metric

Publish Metric
            

0.1.0 passed this metric

Supported Platforms Metric
            

0.1.0 failed this metric

ruby_rbenv_download should declare what platform(s) it supports.

Testing File Metric
            

0.1.0 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a TESTING.md file

Version Tag Metric
            

0.1.0 passed this metric